Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python3-dnf-plugin-versionlock-4.0.6-lp151.2.1 RPM for noarch

From OpenSuSE Leap 15.1 for noarch

Name: python3-dnf-plugin-versionlock Distribution: openSUSE Leap 15.1
Version: 4.0.6 Vendor: openSUSE
Release: lp151.2.1 Build date: Mon Apr 29 16:30:45 2019
Group: System/Packages Build host: cloud130
Size: 10716 Source RPM: dnf-plugins-core-4.0.6-lp151.2.1.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/rpm-software-management/dnf-plugins-core
Summary: Version Lock Plugin for DNF
Version lock plugin takes a set of name/versions for packages and excludes all other
versions of those packages. This allows you to e.g. protect packages from being
updated by newer versions.

Provides

Requires

License

GPL-2.0+

Changelog

* Fri Apr 26 2019 Neal Gompa <ngompa13@gmail.com>
  - Backport fix for copr disable command traceback (rh#1693551)
    * Patch: 0001-Fix-copr-disable-command-traceback-RhBug-1693551.patch
  - Backport doc fix to state repoid as repo identifier for config-manager (rh#1686779)
    * Patch: 0002-doc-state-repoid-as-repo-identifier-of-config-manage.patch
* Sun Mar 31 2019 Neal Gompa <ngompa13@gmail.com>
  - Update to version 4.0.6
    + [download] Do not download src without ``--source`` (rh#1666648)
    + Use improved config parser that preserves order of data
    + [leaves] Show multiply satisfied dependencies as leaves
    + [download] Fix downloading an rpm from a URL (rh#1678582)
    + [download] Fix problem with downloading src pkgs (rh#1649627)
  - Drop backported fixes that are part of this release
    * 0001-Fix-traceback-when-local-rpm-url-is-passed.patch
    * 0002-reposync-fix-up-path-traversal-prevention.patch
    * 0003-doc-Use-the-correct-sphinx-build-binary-for-Python-2.patch
  - Restore needs-restarting files to the dnf-utils package
  - Add conflicts to zypper < 1.14.26 to dnf-utils package to prevent file conflicts
* Mon Feb 11 2019 Neal Gompa <ngompa13@gmail.com>
  - Temporarily drop needs-restarting files from dnf-utils until
    zypper splits them out into zypper-needs-restarting subpackage
    (gh#openSUSE/zypper#254)
  - Add conflicts to yum-changelog and zypper-needs-restarting to
    dnf-utils
* Thu Feb 07 2019 Neal Gompa <ngompa13@gmail.com>
  - Rebase to version 4.0.3:
    + Compatible with DNF 4.0.0+
    + Reworked COPR plugin
    + New changelogs and repodiff plugins/subcommands
  - Drop Python 2 subpackages
  - Drop unneeded patches:
    * 0001-copr-Add-openSUSE-support.patch
    * dnf-plugins-core-2.1.5-Fix-detection-of-Python-2.patch
  - Backport fixes from upstream to build and run plugins
    * 0001-Fix-traceback-when-local-rpm-url-is-passed.patch
    * 0002-reposync-fix-up-path-traversal-prevention.patch
    * 0003-doc-Use-the-correct-sphinx-build-binary-for-Python-2.patch
* Mon Apr 23 2018 ngompa13@gmail.com
  - Enable COPR plugin with openSUSE support backported (rh#1570418)
    * Add patch: 0001-copr-Add-openSUSE-support.patch
* Sat Jan 20 2018 ngompa13@gmail.com
  - Fix build-time detection of Python 2
    * Add patch: dnf-plugins-core-2.1.5-Fix-detection-of-Python-2.patch
* Tue Oct 10 2017 ngompa13@gmail.com
  - Update to version 2.1.5:
    + Fix issues with the '--arch' in 'dnf download' (rh#1476834)
    + Fix 'dnf repoclosure' when used with '--check' and '--best'
    + Use preconfigure hook from DNF for 'local' plugin
  - Split lang data into lang subpackage
* Sun Aug 13 2017 ngompa13@gmail.com
  - Initial package based on Mageia package

Files

/etc/dnf/plugins/versionlock.conf
/etc/dnf/plugins/versionlock.list
/usr/lib/python3.6/site-packages/dnf-plugins/versionlock.py
/usr/share/man/man8/dnf.plugin.versionlock.8.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Jul 10 13:00:05 2019